## org.apache.lucene.analysis
Class BaseTokenStreamTestCase

    java.lang.Object
      org.junit.Assert
          org.apache.lucene.util.LuceneTestCase
              org.apache.lucene.analysis.BaseTokenStreamTestCase

    public abstract class BaseTokenStreamTestCase

extends LuceneTestCase

Base class for all Lucene unit tests that use TokenStreams.

When writing unit tests for analysis components, its highly recommended to use the helper methods here (especially in conjunction with `MockAnalyzer` or `MockTokenizer`), as they contain many assertions and checks to catch bugs.

See Also:
  `MockAnalyzer`, `MockTokenizer`

Nested Class Summary
`static interface` `BaseTokenStreamTestCase.CheckClearAttributesAttribute`
`static class` `BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl`

Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase
`LuceneTestCase.Nightly`

Field Summary

Fields inherited from class org.apache.lucene.util.LuceneTestCase
`intercept, random, RANDOM_MULTIPLIER, stores, TEMP_DIR, TEST_CLEAN_THREADS, TEST_DIRECTORY, TEST_ITER, TEST_ITER_MIN, TEST_LINE_DOCS_FILE, TEST_LOCALE, TEST_NIGHTLY, TEST_SEED, TEST_TIMEZONE, TEST_VERSION_CURRENT, testsFailed, VERBOSE`

Constructor Summary
`BaseTokenStreamTestCase()`

Method Summary
`static void` `assertAnalyzesTo(org.apache.lucene.analysis.Analyzer a, String input, String[] output)`
`static void` `assertAnalyzesTo(org.apache.lucene.analysis.Analyzer a, String input, String[] output, int[] posIncrements)`
`static void` `assertAnalyzesTo(org.apache.lucene.analysis.Analyzer a, String input, String[] output, int[] startOffsets, int[] endOffsets)`
`static void` `assertAnalyzesTo(org.apache.lucene.analysis.Analyzer a, String input, String[] output, int[] startOffsets, int[] endOffsets, int[] posIncrements)`
`static void` `assertAnalyzesTo(org.apache.lucene.analysis.Analyzer a, String input, String[] output, int[] startOffsets, int[] endOffsets, String[] types, int[] posIncrements)`
`static void` `assertAnalyzesTo(org.apache.lucene.analysis.Analyzer a, String input, String[] output, String[] types)`
`static void` `assertAnalyzesToReuse(org.apache.lucene.analysis.Analyzer a, String input, String[] output)`
`static void` `assertAnalyzesToReuse(org.apache.lucene.analysis.Analyzer a, String input, String[] output, int[] posIncrements)`
`static void` `assertAnalyzesToReuse(org.apache.lucene.analysis.Analyzer a, String input, String[] output, int[] startOffsets, int[] endOffsets)`
`static void` `assertAnalyzesToReuse(org.apache.lucene.analysis.Analyzer a, String input, String[] output, int[] startOffsets, int[] endOffsets, int[] posIncrements)`
`static void` `assertAnalyzesToReuse(org.apache.lucene.analysis.Analyzer a, String input, String[] output, int[] startOffsets, int[] endOffsets, String[] types, int[] posIncrements)`
`static void` `assertAnalyzesToReuse(org.apache.lucene.analysis.Analyzer a, String input, String[] output, String[] types)`
`static void` `assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts, String[] output)`
`static void` `assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts, String[] output, int[] posIncrements)`
`static void` `assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts, String[] output, int[] startOffsets, int[] endOffsets)`
`static void` `assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts, String[] output, int[] startOffsets, int[] endOffsets, int[] posIncrements)`
`static void` `assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts, String[] output, int[] startOffsets, int[] endOffsets, int[] posIncrements, Integer finalOffset)`
`static void` `assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts, String[] output, int[] startOffsets, int[] endOffsets, Integer finalOffset)`
`static void` `assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts, String[] output, int[] startOffsets, int[] endOffsets, String[] types, int[] posIncrements)`
`static void` `assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts, String[] output, int[] startOffsets, int[] endOffsets, String[] types, int[] posIncrements, Integer finalOffset)`
`static void` `assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts, String[] output, String[] types)`
`static void` `checkOneTerm(org.apache.lucene.analysis.Analyzer a, String input, String expected)`
`static void` `checkOneTermReuse(org.apache.lucene.analysis.Analyzer a, String input, String expected)`
`static void` `checkRandomData(Random random, org.apache.lucene.analysis.Analyzer a, int iterations)`
`static void` `checkRandomData(Random random, org.apache.lucene.analysis.Analyzer a, int iterations, int maxWordLength)`

Methods inherited from class org.apache.lucene.util.LuceneTestCase

`afterClassLuceneTestCaseJ4, alwaysIgnoredTestMethod, assertEquals, assertEquals, assertEquals, assertEquals, assertSaneFieldCaches, assumeFalse, assumeNoException, assumeTrue, atLeast, atLeast, beforeClassLuceneTestCaseJ4, dumpArray, dumpIterator, getDataFile, getName, getTestLabel, localeForName, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newField, newField, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newSearcher, newSearcher, newTieredMergePolicy, newTieredMergePolicy, purgeFieldCache, randomDirectory, randomLocale, randomTimeZone, rarely, rarely, registerTempFile, reportAdditionalFailureInfo, reportPartialFailureInfo, setMergeFactor, setUp, setUseCompoundFile, tearDown, usually, usually`

Methods inherited from class org.junit.Assert

`assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseTokenStreamTestCase

    public BaseTokenStreamTestCase()

Method Detail

### assertTokenStreamContents

    public static void assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts,
                                                 String[] output,
                                                 int[] startOffsets,
                                                 int[] endOffsets,
                                                 String[] types,
                                                 int[] posIncrements,
                                                 Integer finalOffset)
                                          throws IOException

  Throws:
    `IOException`

### assertTokenStreamContents

    public static void assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts,
                                                 String[] output,
                                                 int[] startOffsets,
                                                 int[] endOffsets,
                                                 String[] types,
                                                 int[] posIncrements)
                                          throws IOException

  Throws:
    `IOException`

### assertTokenStreamContents

    public static void assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts,
                                                 String[] output)
                                          throws IOException

  Throws:
    `IOException`

### assertTokenStreamContents

    public static void assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts,
                                                 String[] output,
                                                 String[] types)
                                          throws IOException

  Throws:
    `IOException`

### assertTokenStreamContents

    public static void assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts,
                                                 String[] output,
                                                 int[] posIncrements)
                                          throws IOException

  Throws:
    `IOException`

### assertTokenStreamContents

    public static void assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts,
                                                 String[] output,
                                                 int[] startOffsets,
                                                 int[] endOffsets)
                                          throws IOException

  Throws:
    `IOException`

### assertTokenStreamContents

    public static void assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts,
                                                 String[] output,
                                                 int[] startOffsets,
                                                 int[] endOffsets,
                                                 Integer finalOffset)
                                          throws IOException

  Throws:
    `IOException`

### assertTokenStreamContents

    public static void assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts,
                                                 String[] output,
                                                 int[] startOffsets,
                                                 int[] endOffsets,
                                                 int[] posIncrements)
                                          throws IOException

  Throws:
    `IOException`

### assertTokenStreamContents

    public static void assertTokenStreamContents(org.apache.lucene.analysis.TokenStream ts,
                                                 String[] output,
                                                 int[] startOffsets,
                                                 int[] endOffsets,
                                                 int[] posIncrements,
                                                 Integer finalOffset)
                                          throws IOException

  Throws:
    `IOException`

### assertAnalyzesTo

    public static void assertAnalyzesTo(org.apache.lucene.analysis.Analyzer a,
                                        String input,
                                        String[] output,
                                        int[] startOffsets,
                                        int[] endOffsets,
                                        String[] types,
                                        int[] posIncrements)
                                 throws IOException

  Throws:
    `IOException`

### assertAnalyzesTo

    public static void assertAnalyzesTo(org.apache.lucene.analysis.Analyzer a,
                                        String input,
                                        String[] output)
                                 throws IOException

  Throws:
    `IOException`

### assertAnalyzesTo

    public static void assertAnalyzesTo(org.apache.lucene.analysis.Analyzer a,
                                        String input,
                                        String[] output,
                                        String[] types)
                                 throws IOException

  Throws:
    `IOException`

### assertAnalyzesTo

    public static void assertAnalyzesTo(org.apache.lucene.analysis.Analyzer a,
                                        String input,
                                        String[] output,
                                        int[] posIncrements)
                                 throws IOException

  Throws:
    `IOException`

### assertAnalyzesTo

    public static void assertAnalyzesTo(org.apache.lucene.analysis.Analyzer a,
                                        String input,
                                        String[] output,
                                        int[] startOffsets,
                                        int[] endOffsets)
                                 throws IOException

  Throws:
    `IOException`

### assertAnalyzesTo

    public static void assertAnalyzesTo(org.apache.lucene.analysis.Analyzer a,
                                        String input,
                                        String[] output,
                                        int[] startOffsets,
                                        int[] endOffsets,
                                        int[] posIncrements)
                                 throws IOException

  Throws:
    `IOException`

### assertAnalyzesToReuse

    public static void assertAnalyzesToReuse(org.apache.lucene.analysis.Analyzer a,
                                             String input,
                                             String[] output,
                                             int[] startOffsets,
                                             int[] endOffsets,
                                             String[] types,
                                             int[] posIncrements)
                                      throws IOException

  Throws:
    `IOException`

### assertAnalyzesToReuse

    public static void assertAnalyzesToReuse(org.apache.lucene.analysis.Analyzer a,
                                             String input,
                                             String[] output)
                                      throws IOException

  Throws:
    `IOException`

### assertAnalyzesToReuse

    public static void assertAnalyzesToReuse(org.apache.lucene.analysis.Analyzer a,
                                             String input,
                                             String[] output,
                                             String[] types)
                                      throws IOException

  Throws:
    `IOException`

### assertAnalyzesToReuse

    public static void assertAnalyzesToReuse(org.apache.lucene.analysis.Analyzer a,
                                             String input,
                                             String[] output,
                                             int[] posIncrements)
                                      throws IOException

  Throws:
    `IOException`

### assertAnalyzesToReuse

    public static void assertAnalyzesToReuse(org.apache.lucene.analysis.Analyzer a,
                                             String input,
                                             String[] output,
                                             int[] startOffsets,
                                             int[] endOffsets)
                                      throws IOException

  Throws:
    `IOException`

### assertAnalyzesToReuse

    public static void assertAnalyzesToReuse(org.apache.lucene.analysis.Analyzer a,
                                             String input,
                                             String[] output,
                                             int[] startOffsets,
                                             int[] endOffsets,
                                             int[] posIncrements)
                                      throws IOException

  Throws:
    `IOException`

### checkOneTerm

    public static void checkOneTerm(org.apache.lucene.analysis.Analyzer a,
                                    String input,
                                    String expected)
                             throws IOException

  Throws:
    `IOException`

### checkOneTermReuse

    public static void checkOneTermReuse(org.apache.lucene.analysis.Analyzer a,
                                         String input,
                                         String expected)
                                  throws IOException

  Throws:
    `IOException`

### checkRandomData

    public static void checkRandomData(Random random,
                                       org.apache.lucene.analysis.Analyzer a,
                                       int iterations)
                                throws IOException

  Throws:
    `IOException`

### checkRandomData

    public static void checkRandomData(Random random,
                                       org.apache.lucene.analysis.Analyzer a,
                                       int iterations,
                                       int maxWordLength)
                                throws IOException

  Throws:
    `IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.